<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['orden']) $orden=$_GET['orden']; else $orden=$_POST['orden'];

$peticion='SGAFichajesListaUsuarios#'.$_SESSION['empresa'].'#'.strtoupper($_SESSION['accion']).'#'.$orden;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

foreach($resultado as $trabajador) {
	if($trabajador['UsuarioProxium']==$_SESSION['usuario']['Usuario']) $queTrabajadorSoy=$trabajador['Trabajador'];
}

?><h2>Seleccionar trabajadores</h2><?php

if(!$resultado[0]['Error']) {
	
	if(count($resultado)>0) {
	
	?>
    <script>
	function informaUsuario() {
		var seleccionPropia=$('#seleccionarTrabajador-<?php echo $queTrabajadorSoy; ?>');
		if( !seleccionPropia.is(':checked') ) alert('Atención: No podrás iniciar la Orden si tú no estás incluido como trabajador en el fichaje',null,'advertencia');	
	}
	</script>
    
	<table class="tablaFormateada anchoMaximo">
    <tr>
		<th>Seleccionar</th>
        <th>Nº Operario</th>
		<th>Nombre</th>
        <th width="230">Otras Ordenes</th>
	</tr>
    
	<?php
	
	$haySeleccionables=false;
	
	foreach($resultado as $trabajador) {
	
		$fichajesIniciados=false;
		
		$otrasOrdenes=arreglaArrayPXMobileProxiumResult($trabajador['Ordenes']);
		if(count($otrasOrdenes)==0) $haySeleccionables=true;
		foreach($otrasOrdenes as $otraOrden) { 
			if($otraOrden['FichajeIniciado']=='S') $fichajesIniciados=true;
			else $haySeleccionables=true;
		}
	
		?>
    
		<tr class="lineaTrabajador <?php if(!$fichajesIniciados) { ?>clicable<?php } else { ?>gris<?php } ?>" style="height:45px" trabajador="<?php echo $trabajador['Trabajador']; ?>">
			<td valign="top"><?php if(!$fichajesIniciados) { ?><input type="checkbox" name="seleccionarTrabajador-<?php echo $trabajador['Trabajador']; ?>" id="seleccionarTrabajador-<?php echo $trabajador['Trabajador']; ?>" class="checkGrande" <?php if($trabajador['UsuarioProxium']==$_SESSION['usuario']['Usuario']) { ?>checked onclick="informaUsuario()"<?php } ?>/><?php } ?></td>
          <td valign="top"><?php echo $trabajador['Trabajador']; ?></td>
          <td valign="top"><?php echo $trabajador['Nombre']; ?></td>
          <td valign="top">
          <?php
		  foreach($otrasOrdenes as $otraOrden) {
		  	?>
            <div style="width:230px;clear:both;overflow:hidden">
            <div style="width:115px;height:30px;float:left;text-align:left"><?php echo $otraOrden['TipoOrden']; ?></div><div style="width:85px;height:30px;float:left;text-align:left"><?php echo $otraOrden['Orden']; ?></div><div style="width:30px;height:30px;float:left"><?php if($otraOrden['FichajeIniciado']=='S') { ?><img src="<?php echo DIR_IMAGENES; ?>/en-proceso.gif" width="25" height="25" /><?php } ?></div>
            </div>
            <?php
		  }
		  ?>
          </td>
	  </tr>
        
	<?php } ?>
    
	</table>
    
	<?php if($haySeleccionables) { ?><p><input type="submit" id="botonAsociarTrabajadores" name="botonAsociarTrabajadores" value="Asociar seleccionados" class="boton mostrarCargando"/></p><?php } ?>

	<?php
	}
	else { ?><p>No hay trabajadores disponibles.</p><?php }
}
else { ?><p>Error al obtener el listado.</p><?php }
?>

<p><input type="button" id="botonCancelarTrabajadores" name="botonCancelarTrabajadores" value="Cancelar" class="boton reducido"/></p>

<script>
        
        $(document).ready(function() {
            
			$('.lineaTrabajador').on('click',function(e){
				var trabajador=$(this).attr('trabajador');
				if( $('#seleccionarTrabajador-'+trabajador).is(':checked') )  $('#seleccionarTrabajador-'+trabajador).removeAttr('checked');
				else $('#seleccionarTrabajador-'+trabajador).attr('checked','checked');
			});
			
			$('#botonCancelarTrabajadores').on('click',function(e){
				e.preventDefault();
				$('#popupTrabajadores').hide();
			});
			
        });
        
</script>